QGIS Application - Bug report #7206
Raster Calculator doesn't work with spaces in layer names
2013-02-21 03:18 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 16247
Description

Using Master 5ed164a

This seems like quite a bad one because it appears to work but actually doesn't give feedback that its not or why not.

The following expression does "work" - it passes "expression valid" and the layer names are correct (I double-clicked them):

(IR SP1874@1 - RGB SP1874@1) / (IR SP1874@1 + RGB SP1874@1))

The problem is, the output result is "0" across the board.

To actually get a proper NDVI result, | need to rename my layers and use this:

((IRSP1874@1 - RGBSP1874@1) / (IRSP1874@1 + RGBSP1874@1))

So its not working when layers have spaces in their names.

History

#1 - 2013-06-02 08:50 AM - Giovanni Manghi
- Priority changed from High to Normal

#2 - 2013-08-13 01:32 AM - Alexander Bruy
- Resolution set to duplicate

- Status changed from Open to Closed

Duplicates #4586
